flutter升级到1.20.3后ios编译报错Pods-Runner-frameworks.sh: Permission denied

tasin
2020-09-18 14:38

将flutter升级到1.20.3后,尝试ios编译后发现报错:.../Pods-Runner-frameworks.sh: Permission denied

 

解决方式如下:

chmod a+x "/Users/user-name/Documents/flutter-workspace/your-project/ios/Pods/Target Support Files/Pods-Runner/Pods-Runner-frameworks.sh"

其实是没有执行权限的问题,找到对应文件的全路径,然后chmod a+x 授权即可。

全部评论